V2 50 endpoints

DELETE /v2/datasets/{datasetId}/versions
operationId: V2_DeleteDatasetVersions2

Parameters

Name In Required Type Description
datasetId path required string

Identify dataset by id.

Request Body

required
application/json
schema V2DeleteDatasetVersions2Request
Property Type Required
userAppId object optional
└ appId string optional
└ userId string optional
datasetVersionIds array optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/datasets/{datasetId}/versions
GET /v2/datasets/{datasetId}/versions
operationId: V2_ListDatasetVersions2

Parameters

Name In Required Type Description
datasetId path required string

Identify dataset by id.

userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/datasets/{datasetId}/versions
PATCH /v2/datasets/{datasetId}/versions
operationId: V2_PatchDatasetVersions2

Parameters

Name In Required Type Description
datasetId path required string

Identify dataset by id.

Request Body

required
application/json
schema V2PatchDatasetVersions2Request
Property Type Required
action string optional
userAppId object optional
└ appId string optional
└ userId string optional
datasetVersions array optional
└ id string optional
└ appId string optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ userId string optional
└ metrics object optional
└ metadata object optional
└ createdAt string optional
└ datasetId string optional
└ exportInfo object optional
└ coco object optional
└ url string optional
└ size string optional
└ format string optional
└ status object optional
└ includeEmbeddings boolean optional
└ clarifaiDataJson object optional
└ url string optional
└ size string optional
└ format string optional
└ status object optional
└ includeEmbeddings boolean optional
└ clarifaiDataProtobuf object optional
└ url string optional
└ size string optional
└ format string optional
└ status object optional
└ includeEmbeddings boolean optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ processingInfo object optional
└ frameInterpolationInfo object optional
└ sampleMs integer optional
└ modelPredictConfig object optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ embedModelVersionIds array optional
└ annotationFilterConfig object optional
└ annotationFilter object optional
└ id string optional
└ appId string optional
└ search object optional
└ userId string optional
└ createdAt string optional
└ modifiedAt string optional
└ ignoreEmptyInputs boolean optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/datasets/{datasetId}/versions
POST /v2/datasets/{datasetId}/versions
operationId: V2_PostDatasetVersions2

Parameters

Name In Required Type Description
datasetId path required string

Identify dataset by id.

Request Body

required
application/json
schema V2PostDatasetVersions2Request
Property Type Required
userAppId object optional
└ appId string optional
└ userId string optional
datasetVersions array optional
└ id string optional
└ appId string optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ userId string optional
└ metrics object optional
└ metadata object optional
└ createdAt string optional
└ datasetId string optional
└ exportInfo object optional
└ coco object optional
└ url string optional
└ size string optional
└ format string optional
└ status object optional
└ includeEmbeddings boolean optional
└ clarifaiDataJson object optional
└ url string optional
└ size string optional
└ format string optional
└ status object optional
└ includeEmbeddings boolean optional
└ clarifaiDataProtobuf object optional
└ url string optional
└ size string optional
└ format string optional
└ status object optional
└ includeEmbeddings boolean optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ processingInfo object optional
└ frameInterpolationInfo object optional
└ sampleMs integer optional
└ modelPredictConfig object optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ embedModelVersionIds array optional
└ annotationFilterConfig object optional
└ annotationFilter object optional
└ id string optional
└ appId string optional
└ search object optional
└ userId string optional
└ createdAt string optional
└ modifiedAt string optional
└ ignoreEmptyInputs boolean optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/datasets/{datasetId}/versions
GET /v2/datasets/{datasetId}/versions/{datasetVersionId}
operationId: V2_GetDatasetVersion2

Parameters

Name In Required Type Description
datasetId path required string

Identify dataset by id.

datasetVersionId path required string

Identify dataset version by id.

userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/datasets/{datasetId}/versions/{datasetVersionId}
PUT /v2/datasets/{datasetId}/versions/{datasetVersionId}/exports
operationId: V2_PutDatasetVersionExports2

Parameters

Name In Required Type Description
datasetId path required string

Identify dataset by id.

datasetVersionId path required string

Identify dataset version by id.

Request Body

required
application/json
schema V2PutDatasetVersionExports2Request
Property Type Required
exports array optional
└ url string optional
└ size string optional
└ format string optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ includeEmbeddings boolean optional
userAppId object optional
└ appId string optional
└ userId string optional

Responses

default

An unexpected error response.

200

A successful response.

PUT /v2/datasets/{datasetId}/versions/{datasetVersionId}/exports
GET /v2/datasets/{datasetId}/versions/{datasetVersionId}/metrics
operationId: V2_ListDatasetVersionMetricsGroups2

Parameters

Name In Required Type Description
datasetId path required string

Identify dataset by id.

datasetVersionId path required string

Identify dataset version by id.

userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

parentPaths query optional array

Filter by parent path. Multiple parent paths are OR-ed. Empty list results in no filter.

types query optional array

Filter by parent type. Multiple types are OR-ed. Empty list results in no filter.

  • INPUT_TYPE: Group data examples by input type.
    Examples: images, videos, text, audio.
  • CONCEPT_ID: Group data examples by concept ID.
    Examples: inputs with cat concept, inputs with dog concept.
  • CONCEPTS_COUNT: Group data examples by concepts count.
    Examples: inputs with 20 concepts, inputs with 21 concepts.
  • BOUNDING_BOXES_COUNT: Group data examples by bounding boxes count.
    Examples: inputs with 20 bounding boxes, inputs with 21 bounding boxes.
  • POLYGONS_COUNT: Group data examples by polygons count.
    Examples: inputs with 20 polygons, inputs with 21 polygons.
  • POINTS_COUNT: Group data examples by points count.
    Examples: inputs with 20 points, inputs with 21 points.
  • MASKS_COUNT: Group data examples by masks count.
    Examples: inputs with 20 masks, inputs with 21 masks.
  • PIXELS_COUNT: Group data examples by pixels count.
    In order to reduce the number of groups, we use bins.
    Examples for bin size = 400: inputs with [200000, 200400) pixels, inputs with [200400, 200800) pixels.
  • ASPECT_RATIO: Group data examples by aspect ratio.
    In order to reduce the number of groups, we use bins.
    Examples for bin size = 0.1: inputs with [0.5, 0.6) aspect ratio, inputs with [0.6, 0.7) aspect ratio.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/datasets/{datasetId}/versions/{datasetVersionId}/metrics
GET /v2/evaluations
operationId: V2_ListEvaluations3

Parameters

Name In Required Type Description
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

sortAscending query optional boolean

If true, sort in ascending order, otherwise sort in descending order.

sortByAppId query optional boolean

Whether to order by application id

sortByRocAuc query optional boolean

Whether to order by eval metric summary.macro_avg_roc_auc

sortByF1 query optional boolean

Whether to order by eval metric summary.f1

sortByCreatedAt query optional boolean

Whether to order by when the metric was created

sortByMeanAvgPrecision query optional boolean

Whether to order by eval metric summary.mean_avg_precision_iou_50

sortByPrecision query optional boolean

Whether to order by eval metric summary.macro_avg_precision

sortByRecall query optional boolean

Whether to order by eval metric summary.macro_avg_recall

sortByModelId query optional boolean —
sortByEvalDatasetId query optional boolean —
sortByTrainDatasetId query optional boolean —
modelTypeId query optional string

Filter on model type id

evalDatasetIds query optional array

Filter on dataset ID of the dataset version specified in the metric version

trainDatasetIds query optional array

Filter on dataset ID of the dataset version specified by the model version

conceptIds query optional array

Filter on concept IDs specified in the modele version’s output_info

showFailedMetrics query optional boolean

Whether to show failed metrics, defaults to false

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/evaluations
POST /v2/evaluations
operationId: V2_PostEvaluations2

Request Body

required
application/json
schema apiPostEvaluationsRequest
Property Type Required
userAppId object optional
└ appId string optional
└ userId string optional
evalMetrics array optional
└ id string optional
└ appId string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ outputConfig object optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ userId string optional
└ summary object optional
└ lopqMetrics array optional
└ k integer optional
└ lopqNdcg number optional
└ bruteForceNdcg number optional
└ recallVsBruteForce number optional
└ kendallTauVsBruteForce number optional
└ mostFrequentCodePercent number optional
└ top1Accuracy number optional
└ top5Accuracy number optional
└ macroAvgRecall number optional
└ macroAvgRocAuc number optional
└ macroStdRocAuc number optional
└ macroAvgF1Score number optional
└ macroStdF1Score number optional
└ macroAvgPrecision number optional
└ meanAvgPrecisionIou50 number optional
└ meanAvgPrecisionIouRange number optional
└ testSet array optional
└ input object optional
└ id string optional
└ data object optional
└ status object optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
└ annotation object optional
└ id string optional
└ data object optional
└ status object optional
└ taskId string optional
└ userId string optional
└ inputId string optional
└ trusted boolean optional
└ createdAt string optional
└ inputLevel boolean optional
└ modifiedAt string optional
└ consensusInfo object optional
└ annotationInfo object optional
└ modelVersionId string optional
└ workflowVersionId string optional
└ embedModelVersionId string optional
└ predictedConcepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ groundTruthConcepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ evalInfo object optional
└ params object optional
└ labelCounts object optional
└ positiveLabelCounts array optional
└ count integer optional
└ concept object optional
└ conceptName string optional
└ binaryMetrics array optional
└ f1 number optional
└ iou number optional
└ numNeg integer optional
└ numPos integer optional
└ numTot integer optional
└ rocAuc number optional
└ areaMax number optional
└ areaMin number optional
└ concept object optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ areaName string optional
└ rocCurve object optional
└ fpr array optional
└ tpr array optional
└ thresholds array optional
└ fprPerImage array optional
└ fprPerObject array optional
└ avgPrecision number optional
└ precisionRecallCurve object optional
└ recall array optional
└ precision array optional
└ thresholds array optional
└ metricsByArea array optional
└ f1 number optional
└ iou number optional
└ numNeg integer optional
└ numPos integer optional
└ numTot integer optional
└ rocAuc number optional
└ areaMax number optional
└ areaMin number optional
└ concept object optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ areaName string optional
└ rocCurve object optional
└ fpr array optional
└ tpr array optional
└ thresholds array optional
└ fprPerImage array optional
└ fprPerObject array optional
└ avgPrecision number optional
└ precisionRecallCurve object optional
└ recall array optional
└ precision array optional
└ thresholds array optional
└ metricsByClass array optional
└ f1 number optional
└ iou number optional
└ numNeg integer optional
└ numPos integer optional
└ numTot integer optional
└ rocAuc number optional
└ areaMax number optional
└ areaMin number optional
└ concept object optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ areaName string optional
└ rocCurve object optional
└ fpr array optional
└ tpr array optional
└ thresholds array optional
└ fprPerImage array optional
└ fprPerObject array optional
└ avgPrecision number optional
└ precisionRecallCurve object optional
└ recall array optional
└ precision array optional
└ thresholds array optional
└ trackerMetrics array optional
└ aiid string optional
└ motMota number optional
└ morseFrag number optional
└ avgPrecision number optional
└ motNumSwitches integer optional
└ uniqueSwitchRate number optional
└ confusionMatrix object optional
└ matrix array optional
└ value number optional
└ actual string optional
└ predicted string optional
└ actualConcept object optional
└ predictedConcept object optional
└ conceptIds array optional
└ extendedMetrics object optional
└ userMetrics object optional
└ cooccurrenceMatrix object optional
└ matrix array optional
└ col string optional
└ row string optional
└ count integer optional
└ conceptIds array optional
└ groundTruthDataset object optional
└ id string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ version object optional
└ id string optional
└ appId string optional
└ status object optional
└ userId string optional
└ metrics object optional
└ metadata object optional
└ createdAt string optional
└ datasetId string optional
└ exportInfo object optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ processingInfo object optional
└ modelPredictConfig object optional
└ embedModelVersionIds array optional
└ annotationFilterConfig object optional
└ metadata object optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ bookmarkOrigin object optional
└ id string optional
└ appId string optional
└ userId string optional
└ resourceType string optional
└ defaultProcessingInfo object optional
└ frameInterpolationInfo object optional
└ defaultAnnotationFilter object optional
└ id string optional
└ appId string optional
└ search object optional
└ userId string optional
└ createdAt string optional
└ modifiedAt string optional
└ predictionsDataset object optional
└ id string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ version object optional
└ id string optional
└ appId string optional
└ status object optional
└ userId string optional
└ metrics object optional
└ metadata object optional
└ createdAt string optional
└ datasetId string optional
└ exportInfo object optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ processingInfo object optional
└ modelPredictConfig object optional
└ embedModelVersionIds array optional
└ annotationFilterConfig object optional
└ metadata object optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ bookmarkOrigin object optional
└ id string optional
└ appId string optional
└ userId string optional
└ resourceType string optional
└ defaultProcessingInfo object optional
└ frameInterpolationInfo object optional
└ defaultAnnotationFilter object optional
└ id string optional
└ appId string optional
└ search object optional
└ userId string optional
└ createdAt string optional
└ modifiedAt string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/evaluations
GET /v2/evaluations/{evaluationId}
operationId: V2_GetEvaluation2

Parameters

Name In Required Type Description
evaluationId path required string —
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
fields.confusionMatrix query optional boolean —
fields.cooccurrenceMatrix query optional boolean —
fields.labelCounts query optional boolean —
fields.binaryMetrics query optional boolean —
fields.testSet query optional boolean —
fields.metricsByArea query optional boolean —
fields.metricsByClass query optional boolean —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/evaluations/{evaluationId}
DELETE /v2/inputs
operationId: V2_DeleteInputs2

Request Body

required

Request to delete several things by the list of ids.

application/json
schema apiDeleteInputsRequest
Property Type Required
ids array optional
userAppId object optional
└ appId string optional
└ userId string optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/inputs
GET /v2/inputs
operationId: V2_ListInputs2

Parameters

Name In Required Type Description
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

status.code query optional string

Status code from internal codes.

  • ZERO: to be revised and greatly expanded
  • SUCCESS: Generic
  • MOVED: Resource moved. Respond with Http status 307 and add new Location header to response
  • TEAPOT: SUCCESS_WARNING_API_DEPRECATED = 10001;
    SUCCESS_WARNING_CLIENT_DEPRECATED = 10002;
  • CONN_ACCOUNT_ISSUES: Clarifai Connection Codes: 11xxx

expired cc, still in trial, feature not supported in your tier

  • CONN_TOKEN_INVALID: invalid auth token used. Deprecated: we should return CONN_KEY_INVALID instead now in all cases.
  • CONN_CREDENTIALS_INVALID: invalid auth credentials
  • CONN_EXCEED_HOURLY_LIMIT: throttle hourly limit exceeded
  • CONN_EXCEED_MONTHLY_LIMIT: throttle monthly limit exceeded
  • CONN_THROTTLED: throttler and billing stuff
  • CONN_EXCEEDS_LIMITS: throttler and billing stuff
  • CONN_INSUFFICIENT_SCOPES: api key has insufficient permissions
  • CONN_KEY_INVALID: api key is invalid
  • CONN_KEY_NOT_FOUND: api key not found
  • CONN_BAD_REQUEST_FORMAT: multipart form parsing, broken json, etc
  • CONN_DOES_NOT_EXIST: when path is bad
  • CONN_INVALID_REQUEST: something wrong with a header
  • CONN_METHOD_NOT_ALLOWED: when a request method is not allowed
  • CONN_NO_GDPR_CONSENT: lack GDPR consent
  • CONN_AUTH_METHOD_DISABLED: authentication method is disabled
  • MODEL_TRAINED: Model/Custom Training related 20xxx

Custom model has been already trained.

  • MODEL_TRAINING: Custom model is currently training.
  • MODEL_UNTRAINED: Custom model has not yet been trained.
  • MODEL_QUEUED_FOR_TRAINING: Custom model is currently in queue for training, waiting on assets to process first.
  • MODEL_TRAINING_FAILED: generic err msg for any type of model training err.
  • MODEL_TRAINING_NO_DATA: Custom model training had no data. FIXME(yang): deprecate this. Use the 21106 + errStatusMsg
  • MODEL_TRAINING_NO_POSITIVES: Custom model training had no positive examples. FIXME(yang): deprecate this. Use the 21106 + errStatusMsg
  • MODEL_TRAINING_ONE_VS_N_SINGLE_CLASS: Custom model training was ONE_VS_N but with a single class. FIXME(yang): deprecate this. Use the 21106 + errStatusMsg
  • MODEL_TRAINING_TIMED_OUT: Training took longer than hard coded timeouts. FIXME(yang): deprecate this. Use the 21106 + errStatusMsg
  • MODEL_TRAINING_WAITING_ERROR: Training got error waiting on asset pipeline to finish. FIXME(yang): deprecate this. Use the 21106 + errStatusMsg
  • MODEL_TRAINING_UNKNOWN_ERROR: Training threw an unknown exception.
  • MODEL_TRAINING_MSG_REDELIVER: Training message was redelivered. FIXME(yang): deprecate this. Use the 21106 + errStatusMsg
  • MODEL_TRAINING_INSUFFICIENT_DATA: Training got error due to insufficient labelled data. FIXME(yang): deprecate this. Use the 21106 + errStatusMsg
  • MODEL_TRAINING_INVALID_PARAMS: FIXME(yang): deprecate this. Use the 21106 + errStatusMsg
  • MODEL_TRAINING_INVALID_DATA_TOLERANCE_EXCEEDED: Training is stopped because too much data was dropped. FIXME(yang): deprecate this. Use the 21106 + errStatusMsg
  • MODEL_EVALUATION_TIMED_OUT: Evaluation took longer than hard coded timeouts. FIXME(yang): deprecate this. Use the 21317 + errStatusMsg
  • MODEL_EVALUATION_WAITING_ERROR: Evaluation got error waiting on asset pipeline to finish.FIXME(yang): deprecate this. Use the 21317 + errStatusMsg
  • MODEL_EVALUATION_UNKNOWN_ERROR: EVALUATION THREW AN UNKNOWN EXCEPTION.
  • MODEL_EVALUATION_MSG_REDELIVER: Eval message was redelivered. FIXME(yang): deprecate this. Use the 21317 + errStatusMsg
  • MODEL_EVALUATION_NEED_LABELS: Don’t have enough concepts labelled to perform evaluation. FIXME(yang): deprecate this. Use the 21317 + errStatusMsg
  • MODEL_EVALUATION_NEED_INPUTS: Don’t have enough inputs per concept to perform evaluation. FIXME(yang): deprecate this. Use the 21317 + errStatusMsg
  • MODEL_EVALUATION_FAILED: Generic err code for eval failure.
  • MODEL_DEPLOYMENT_FAILED: Used when inference coordinator failed to deploy spire and throws an error
  • MODEL_DEPLOYING: Used when calling the inference coordinator to deploy a spire
  • MODEL_QUEUED_FOR_DEPLOYMENT: Used when training is completed
  • MODEL_NOT_DEPLOYED: Used when model spire deployment is manually taken down or due to inactivity
  • MODEL_REFERENCE_INVALID_ARGUMENT: Used when a model reference field is not set properly
  • MODEL_EXAMPLE_INPUT_INVALID_ARGUMENT: Used when a model example input field is not set properly
  • MODEL_EXPORTED: Model Export status codes
  • WORKFLOW_NO_MATCHING_INPUT: specified model input not in workflow
  • WORKFLOW_REQUIRE_TRAINED_MODEL: specified model must be trained
  • WORKFLOW_INVALID_ARGUMENT: error in the request somewhere
  • WORKFLOW_INVALID_REQUEST: error in the request somewhere
  • CONCEPT_MODIFY_SUCCESS: Concept related 23xxx
  • ANNOTATION_SUCCESS: Annotation related 24xxx
  • METADATA_INVALID_PATCH_ARGUMENTS: Metadata related 249xx
  • TRAINER_JOB_STATE_NONE: Training service related 25xxx
  • DATA_DUMP_SUCCESS: Data Dump related 251xx
  • DATA_DUMP_NO_DATA: DEPRECATED: Not used anymore. Now for an empty data dump, DATA_DUMP_SUCCESS is returned. To detect an empty data dump, check if the inptus count is 0.
  • APP_DUPLICATION_SUCCESS: Duplicate related 252xx
  • MODULE_DOES_NOT_EXIST: Module related codes 253xx
  • BULK_OPERATION_SUCCESS: Bulk Operation related codes 254xx
  • RUNNER_DOES_NOT_EXIST: Runner related codes 256xx
  • INPUT_DOWNLOAD_SUCCESS: Input:Image related 30xxx
  • INPUT_DOWNLOAD_PENDING: when things are async, this is the default status.
  • INPUT_DOWNLOAD_FAILED: any type of error downloading and processing
  • INPUT_VIDEO_DOWNLOAD_SUCCESS: Input:Video related 31xxx – Deprecated
  • INPUT_WRITES_DISABLED_FOR_MAINTENANCE: deprecate this one. Use REQUEST_DISABLED_FOR_MAINTENANCE
  • PREDICT_INVALID_REQUEST: API formatting issues 4000x
  • DATABASE_DUPLICATE_KEY: Other related 400xx
  • EXTERNAL_CONNECTION_ERROR: could not connect to external services
  • QUEUE_CONN_ERROR: Queue related errors 41xxx
  • SQS_OVERLIMIT: SQS related errors 411xx
  • SEARCH_INTERNAL_FAILURE: Search related errors 43xxxx
  • EVALUATION_QUEUED: Workflow evaluation err code
  • STRIPE_EVENT_ERROR: Stripe 44xxx
  • CACHE_MISS: Redis/Cache 45xxx
  • SIGNUP_EVENT_ERROR: Sift Science 46xxx
  • APP_COUNT_INVALID_MESSAGE: Application counts related errors 470xx
  • MP_DOWNLOAD_ERROR: Media processor related errors 471xx – DEPRECATED
  • DATATIER_CONN_ERROR: DataTier related error 472xx
  • USER_CONSENT_FACE: User legal consent stauts related 50xxx
  • WORKER_MISSING: Workers 51xxx
  • COLLECTOR_MISSING: Collectors 52xxx
  • SSO_IDENTITY_PROVIDER_DOES_NOT_EXIST: SSO 53xxx
  • TASK_IN_PROGRESS: Tasks 54xxx
    The task was created.
  • TASK_DONE: The task is completed.
  • TASK_WONT_DO: The task is marked as abandoned.
  • TASK_FAILED: An error occurred during add-task-annotations or add-auto-annotations pipeline.
  • TASK_IDLE: When an Auto Annotation task job has finished processing its last batch and is waiting for more dataset assets.
  • TASK_CONFLICT: The task operation is in conflict with the current state of the server.
  • TASK_NOT_IMPLEMENTED: Certain task-related scenarios are not implemented.
  • TASK_MISSING: Task was not found.
  • TASK_PERMISSION_DENIED: Not allowed to perform a task-related action.
  • LABEL_ORDER_PENDING: Label Order Related Status Code 55xxx
  • LICENSE_ACTIVE: License Related Status Code 600xx
  • LICENSE_DELETED: hidden state not reflected to users
  • PASSWORD_VALIDATION_SUCCESS: Password Related Status Code
  • FEATUREFLAG_CONFIG_NOT_FOUND: Feature flags status code
  • MAINTENANCE_SUCCESS: Maintenance status code
  • DATASET_VERSION_PENDING: Datasets 64xxx
    The dataset version is pending to be processed.
  • DATASET_VERSION_IN_PROGRESS: The dataset version is currently being processed.
  • DATASET_VERSION_READY: The dataset version is ready to be used.
  • DATASET_VERSION_FAILURE: An error occurred during the dataset version processing.
  • DATASET_VERSION_UNEXPECTED_ERROR: An unexpected error occurred during the dataset version processing.
  • DATASET_VERSION_CONFLICT: An alteration to dataset version would create a conflict
  • DATASET_INPUT_SUCCESS: The dataset input was successfully added.
  • DATASET_INPUT_DUPLICATE: The dataset input is a duplicate.
    Deprecated: Unused.
  • DATASET_VERSION_EXPORT_SUCCESS: The dataset version export is completed.
  • DATASET_VERSION_EXPORT_PENDING: The dataset version is pending to be exported.
  • DATASET_VERSION_EXPORT_FAILED: An error occurred during the dataset version export.
  • DATASET_VERSION_EXPORT_IN_PROGRESS: The dataset version is currently being exported.
  • DATASET_VERSION_EXPORT_UNEXPECTED_ERROR: An unexpected error occurred during the dataset version export.
  • JOB_QUEUED: Generic Job status codes
  • AUTH_MISSING_IDP_ASSOC: auth issues

TODO: Knowledge graph related 80xxx

  • UPLOAD_IN_PROGRESS: Multipart uploading status codes
  • BILLING_INVALID_INFO: Billing related issues: 69xxx
  • INTERNAL_SERVER_ISSUE: Internal issues: 98xxx
  • CONN_UNCATEGORIZED: Uncategorized: 99xxx: move off as soon as known
  • BAD_REQUEST: Deprecated: migrate off to one of the internal issues
  • SERVER_ERROR: Deprecated: migrate off to one of the internal issues
status.description query optional string

A short description of the error.

status.details query optional string

More details of the given error.
These details may be exposed to non-technical users.
For technical details, try to use developer_notes field.

status.stackTrace query optional array

For some environment we may return a stack trace to help debug
any issues.

status.percentCompleted query optional integer

specifically for long running jobs

status.timeRemaining query optional integer

if status is pending, how much time is remaining (in seconds)

status.reqId query optional string

A request ID may be present, to help monitoring and tracking requests

status.internalDetails query optional string

Internal Annotation (do not set in production, for internal Clarifai use only).

status.redirectInfo.url query optional string

New location for the resource. Used to set response Location header.

status.redirectInfo.resourceType query optional string

Resource type

status.redirectInfo.oldResourceId query optional string

Old resource id

status.redirectInfo.newResourceId query optional string

New resource id

status.developerNotes query optional string

Notes for developer.
These notes are rather technical details for developers how to interpret the status,
e.g. why an error occurred and how to avoid getting the error.

ids query optional array —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/inputs
PATCH /v2/inputs
operationId: V2_PatchInputs2

Request Body

required
application/json
schema apiPatchInputsRequest
Property Type Required
action string optional
inputs array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
userAppId object optional
└ appId string optional
└ userId string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/inputs
POST /v2/inputs
operationId: V2_PostInputs2

Request Body

required
application/json
schema apiPostInputsRequest
Property Type Required
inputs array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
userAppId object optional
└ appId string optional
└ userId string optional
inputsAddJobId string optional
inputIdConflictResolution string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/inputs
DELETE /v2/inputs/annotations
operationId: V2_DeleteAnnotations2

Request Body

Request to delete several things by the list of ids.

application/json
schema apiDeleteAnnotationsRequest
Property Type Required
ids array optional
inputIds array optional
userAppId object optional
└ appId string optional
└ userId string optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/inputs/annotations
POST /v2/inputs/data_sources

The cloud URL will be treated as a filter prefix. For example s3:/bucket/images_folder/abc will process
files in the images_folder beginning with abc or in a subfolder beginning with abc.
For example:
bucket/images_folder/abcImage.png
bucket/images_folder/abc-1/Data.zip

If given URL is for a private bucket or file, then credentials should be provided to access the bucket.
Credentials should include rights to list the objects in the bucket, except when pointed directly at a file archive,
in which case it only requires rights to access that particular file.

operationId: V2_PostInputsDataSources2

Request Body

required

Initiates retrieval of inputs from cloud storage from a user provided data source.
Will create and return an inputs-add-job for tracking progress.
Archives will be extracted and their contents will be processed as inputs.

The cloud URL will be treated as a filter prefix. For example s3:/bucket/images_folder/abc will process
files in the images_folder beginning with abc or in a subfolder beginning with abc.
For example:
bucket/images_folder/abcImage.png
bucket/images_folder/abc-1/Data.zip

If given URL is for a private bucket or file, then credentials should be provided to access the bucket.
Credentials should include rights to list the objects in the bucket, except when pointed directly at a file archive,
in which case it only requires rights to access that particular file.

application/json
schema apiPostInputsDataSourcesRequest
Property Type Required
appPat string optional
userAppId object optional
└ appId string optional
└ userId string optional
callBackUrl string optional
dataSources array optional
└ url object optional
└ url string optional
└ credentials object optional
└ s3Creds object optional
└ gcpCreds string optional
└ azureBlobCreds object optional
└ inputTemplate object optional
└ id string optional
└ data object optional
└ geo object optional
└ hits array optional
└ text object optional
└ audio object optional
└ image object optional
└ video object optional
└ colors array optional
└ frames array optional
└ tracks array optional
└ regions array optional
└ clusters array optional
└ concepts array optional
└ heatmaps array optional
└ metadata object optional
└ embeddings array optional
└ timeSegments array optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
└ inputsAddJobId string optional
└ inputIdConflictResolution string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/inputs/data_sources
GET /v2/inputs/jobs/add
operationId: V2_ListInputsAddJobs2

Parameters

Name In Required Type Description
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/inputs/jobs/add
GET /v2/inputs/jobs/add/{id}
operationId: V2_GetInputsAddJob2

Parameters

Name In Required Type Description
id path required string

id of add inputs job

userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/inputs/jobs/add/{id}
PATCH /v2/inputs/jobs/add/{id}
operationId: V2_CancelInputsAddJob2

Parameters

Name In Required Type Description
id path required string

id of add inputs job to be cancelled

Request Body

required
application/json
schema V2CancelInputsAddJob2Request
Property Type Required
userAppId object optional
└ appId string optional
└ userId string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/inputs/jobs/add/{id}
GET /v2/inputs/jobs/extraction
operationId: V2_ListInputsExtractionJobs2

Parameters

Name In Required Type Description
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/inputs/jobs/extraction
PATCH /v2/inputs/jobs/extraction
operationId: V2_CancelInputsExtractionJobs2

Request Body

required
application/json
schema apiCancelInputsExtractionJobsRequest
Property Type Required
ids array optional
userAppId object optional
└ appId string optional
└ userId string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/inputs/jobs/extraction
GET /v2/inputs/jobs/extraction/{inputsExtractionJobId}
operationId: V2_GetInputsExtractionJob2

Parameters

Name In Required Type Description
inputsExtractionJobId path required string —
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/inputs/jobs/extraction/{inputsExtractionJobId}
PATCH /v2/inputs/searches
operationId: V2_PatchInputsSearches2

Request Body

required
application/json
schema apiPatchInputsSearchesRequest
Property Type Required
action string optional
searches array optional
└ id string optional
└ asOf string optional
└ name string optional
└ save boolean optional
└ query object optional
└ ands array optional
└ input object optional
└ negate boolean optional
└ output object optional
└ annotation object optional
└ ranks array optional
└ negate boolean optional
└ annotation object optional
└ filters array optional
└ input object optional
└ negate boolean optional
└ annotation object optional
└ lastUpdatedTimeRange object optional
└ language string optional
└ metric string optional
└ gitHash string optional
└ minValue number optional
└ algorithm string optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ applicationId string optional
userAppId object optional
└ appId string optional
└ userId string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/inputs/searches
POST /v2/inputs/searches
operationId: V2_PostInputsSearches2

Request Body

required
application/json
schema apiPostInputsSearchesRequest
Property Type Required
searches array optional
└ id string optional
└ asOf string optional
└ name string optional
└ save boolean optional
└ query object optional
└ ands array optional
└ input object optional
└ negate boolean optional
└ output object optional
└ annotation object optional
└ ranks array optional
└ negate boolean optional
└ annotation object optional
└ filters array optional
└ input object optional
└ negate boolean optional
└ annotation object optional
└ lastUpdatedTimeRange object optional
└ language string optional
└ metric string optional
└ gitHash string optional
└ minValue number optional
└ algorithm string optional
└ createdAt string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ applicationId string optional
onlyCount boolean optional
userAppId object optional
└ appId string optional
└ userId string optional
pagination object optional
└ page integer optional
└ perPage integer optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/inputs/searches
GET /v2/inputs/status
operationId: V2_GetInputCount2

Parameters

Name In Required Type Description
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/inputs/status
GET /v2/inputs/stream
operationId: V2_StreamInputs2

Parameters

Name In Required Type Description
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 20.

lastId query optional string —
orderById query optional boolean

By default, the endpoint return inputs by the time when it is added.
If this is set to true, we will return inputs by id.

descending query optional boolean —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/inputs/stream
POST /v2/inputs/uploads

Associated inputs-add-job contains an upload id which should be completed through PutUploadContentParts endpoint.
Completing the upload will automatically begin unpacking the archive and uploading the contents as inputs.

operationId: V2_PostInputsUploads2

Request Body

required

Start uploading a file archive containing inputs.
Will create and return an inputs-add-job for tracking progress.

Associated inputs-add-job contains an upload id which should be completed through PutUploadContentParts endpoint.
Completing the upload will automatically begin unpacking the archive and uploading the contents as inputs.

application/json
schema apiPostInputsUploadsRequest
Property Type Required
userAppId object optional
└ appId string optional
└ userId string optional
inputsUploads array optional
└ appPat string optional
└ upload object optional
└ id string optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ expiresAt string optional
└ contentUrl string optional
└ modifiedAt string optional
└ contentName string optional
└ contentLength string optional
└ inputTemplate object optional
└ id string optional
└ data object optional
└ geo object optional
└ hits array optional
└ text object optional
└ audio object optional
└ image object optional
└ video object optional
└ colors array optional
└ frames array optional
└ tracks array optional
└ regions array optional
└ clusters array optional
└ concepts array optional
└ heatmaps array optional
└ metadata object optional
└ embeddings array optional
└ timeSegments array optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
└ inputsAddJobId string optional
└ inputIdConflictResolution string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/inputs/uploads
DELETE /v2/inputs/{inputId}
operationId: V2_DeleteInput2

Parameters

Name In Required Type Description
inputId path required string —
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/inputs/{inputId}
GET /v2/inputs/{inputId}
operationId: V2_GetInput2

Parameters

Name In Required Type Description
inputId path required string —
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/inputs/{inputId}
DELETE /v2/inputs/{inputId}/annotations/{annotationId}
operationId: V2_DeleteAnnotation2

Parameters

Name In Required Type Description
inputId path required string —
annotationId path required string —
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/inputs/{inputId}/annotations/{annotationId}
GET /v2/inputs/{inputId}/annotations/{annotationId}
operationId: V2_GetAnnotation2

Parameters

Name In Required Type Description
inputId path required string —
annotationId path required string —
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/inputs/{inputId}/annotations/{annotationId}
GET /v2/inputs/{inputId}/video_manifest
operationId: V2_GetInputVideoManifest2

Parameters

Name In Required Type Description
inputId path required string —
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/inputs/{inputId}/video_manifest
DELETE /v2/label_orders
operationId: V2_DeleteLabelOrders2

Request Body

required

Request to delete a list of label orders.

application/json
schema apiDeleteLabelOrdersRequest
Property Type Required
ids array optional
userAppId object optional
└ appId string optional
└ userId string optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/label_orders
GET /v2/label_orders
operationId: V2_ListLabelOrders2

Parameters

Name In Required Type Description
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/label_orders
PATCH /v2/label_orders
operationId: V2_PatchLabelOrders2

Request Body

required

Request to patch a list of label orders.

application/json
schema apiPatchLabelOrdersRequest
Property Type Required
action string optional
userAppId object optional
└ appId string optional
└ userId string optional
labelOrders array optional
└ id string optional
└ name string optional
└ task object optional
└ id string optional
└ name string optional
└ type string optional
└ appId string optional
└ review object optional
└ users array optional
└ userIds array optional
└ strategy string optional
└ manualStrategyInfo object optional
└ consensusStrategyInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ userId string optional
└ worker object optional
└ users array optional
└ userIds array optional
└ workers array optional
└ strategy string optional
└ partitionedStrategyInfo object optional
└ metrics object optional
└ work object optional
└ concepts array optional
└ concept object optional
└ autoAnnotationConfig object optional
└ sampleMs integer optional
└ createdAt string optional
└ conceptIds array optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ aiAssistant object optional
└ workflowId string optional
└ description string optional
└ inputSource object optional
└ id string optional
└ type string optional
└ labelOrderId string optional
└ aiAssistParams object optional
└ maxThreshold number optional
└ minThreshold number optional
└ conceptRelationIds array optional
└ …1 more object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ modifiedAt string optional
└ autoRelease boolean optional
└ allowEmptyTag boolean optional
└ desiredFulfillTime string optional
└ estimateFulfillTime string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/label_orders
POST /v2/label_orders
operationId: V2_PostLabelOrders2

Request Body

required

Request to create label orders.

application/json
schema apiPostLabelOrdersRequest
Property Type Required
userAppId object optional
└ appId string optional
└ userId string optional
labelOrders array optional
└ id string optional
└ name string optional
└ task object optional
└ id string optional
└ name string optional
└ type string optional
└ appId string optional
└ review object optional
└ users array optional
└ userIds array optional
└ strategy string optional
└ manualStrategyInfo object optional
└ consensusStrategyInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ userId string optional
└ worker object optional
└ users array optional
└ userIds array optional
└ workers array optional
└ strategy string optional
└ partitionedStrategyInfo object optional
└ metrics object optional
└ work object optional
└ concepts array optional
└ concept object optional
└ autoAnnotationConfig object optional
└ sampleMs integer optional
└ createdAt string optional
└ conceptIds array optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ aiAssistant object optional
└ workflowId string optional
└ description string optional
└ inputSource object optional
└ id string optional
└ type string optional
└ labelOrderId string optional
└ aiAssistParams object optional
└ maxThreshold number optional
└ minThreshold number optional
└ conceptRelationIds array optional
└ …1 more object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ modifiedAt string optional
└ autoRelease boolean optional
└ allowEmptyTag boolean optional
└ desiredFulfillTime string optional
└ estimateFulfillTime string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/label_orders
GET /v2/label_orders/{labelOrderId}
operationId: V2_GetLabelOrder2

Parameters

Name In Required Type Description
labelOrderId path required string —
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/label_orders/{labelOrderId}
DELETE /v2/models
operationId: V2_DeleteModels2

Request Body

required

Request to delete several things by the list of ids.

application/json
schema apiDeleteModelsRequest
Property Type Required
ids array optional
deleteAll boolean optional
userAppId object optional
└ appId string optional
└ userId string optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/models
GET /v2/models
operationId: V2_ListModels3

Parameters

Name In Required Type Description
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response. Currently supported: all, stars, outputs, presets

sortAscending query optional boolean

Sorting options:
Whether to sort in ascending order. If false, will order in descending order.

sortByName query optional boolean

Whether to order by the name

sortByNumInputs query optional boolean

Whether to order by the number of training inputs

sortByModifiedAt query optional boolean

Whether to order by the modified_at time of the latest model version.
If none of the sort options is set to true, will sort by modified_at.

sortByCreatedAt query optional boolean

Whether to order by the created_at

sortByStarCount query optional boolean

Whether to order by count of stars

modelTypeId query optional string

Filtering options:
Filter models by the specific model_type_id. See ListModelTypes for the list of ModelType.Id’s
supported.

trainedOnly query optional boolean

If true, we only return models that have the status MODEL_TRAINED, which includes non-trainable model types.

inputFields query optional array

The list of input fields to the model.
For example, you can specify ‘image’, which will return models that make inferences on images like visual-classifier models.

outputFields query optional array

The list of output fields to the model.
For example, you can specify ‘regions[…].data.concepts’, which will return visual-detector models.

license query optional string

Filter by the license of the model version

featuredOnly query optional boolean

If true, we only return models that are handpicked by clarifai staff

starredOnly query optional boolean

If true, we only return models that are starred by the requesting user

toolkits query optional array

List of toolkit tags to filter by

useCases query optional array

List of use_case tags to filter by

languages query optional array

List of language tags to filter by

dontFetchFromMain query optional boolean

Old API behavior resulted in returning clarifai main models when calling ListModels while scoped to an app. While we transition
away from that, we can use this flag to not always fetch clarifai main models, unless that is the app we are explicitly listing for.

bookmark query optional boolean

Filter models by bookmark. If set, only return bookmarked models. Otherwise none bookmarked models only.
Note: you can not filter trained_only and bookmark at the same time.
When filter by bookmark, we will return trained and untrained models.

search query optional string

Searching options:
Specify a search parameter in order to perform keyword search on the
following fields of the model:

  • id
  • name
  • description
  • notes
  • user_id (unless user_app_id.user_id is already set)

Keywords are both normalized for search (so searching for “satisfy” matches “satisfied”)
and used for partial prefix-matching (so searching for “clari” matches “clarifai”).

NOTE: Both the list of fields searched and the exact keyword matching
rules are subject to change and not guaranteed to be backwards-compatible.

query query optional string

Query name, description and id fields, that can contain the words in the query string. Does NOT support wildcards - full words only. Supports operators “OR” and “-“ as NOT.
Deprecated: use search instead.

name query optional string

Filter by the description and id of the model. This supports wildcard queries like “gen*” to match “general” as an example.
Deprecated: use search instead.

filterByUserId query optional boolean

Extends the name filter to include the user_id of the application owner that the model belongs to.
Deprecated: use search instead of name.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/models
PATCH /v2/models
operationId: V2_PatchModels2

Request Body

required
application/json
schema apiPatchModelsRequest
Property Type Required
action string optional
models array optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ geo object optional
└ hits array optional
└ text object optional
└ audio object optional
└ image object optional
└ video object optional
└ colors array optional
└ frames array optional
└ tracks array optional
└ regions array optional
└ clusters array optional
└ concepts array optional
└ heatmaps array optional
└ metadata object optional
└ embeddings array optional
└ timeSegments array optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ path string optional
└ required boolean optional
└ fieldType string optional
└ description string optional
└ placeholder string optional
└ defaultValue object optional
└ internalOnly boolean optional
└ modelTypeRangeInfo object optional
└ modelTypeEnumOptions array optional
└ outputConfig object optional
└ language string optional
└ minValue number optional
└ sampleMs integer optional
└ hyperParams object optional
└ maxConcepts integer optional
└ modelMetadata object optional
└ selectConcepts array optional
└ existingModelId string optional
└ hyperParameters string optional
└ trainingTimeout integer optional
└ embedModelVersionId string optional
└ conceptsMutuallyExclusive boolean optional
└ failOnMissingPositiveExamples boolean optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ displayName string optional
└ …7 more object optional
userAppId object optional
└ appId string optional
└ userId string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/models
POST /v2/models
operationId: V2_PostModels2

Request Body

required
application/json
schema apiPostModelsRequest
Property Type Required
model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ geo object optional
└ hits array optional
└ text object optional
└ audio object optional
└ image object optional
└ video object optional
└ colors array optional
└ frames array optional
└ tracks array optional
└ regions array optional
└ clusters array optional
└ concepts array optional
└ heatmaps array optional
└ metadata object optional
└ embeddings array optional
└ timeSegments array optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ path string optional
└ required boolean optional
└ fieldType string optional
└ description string optional
└ placeholder string optional
└ defaultValue object optional
└ internalOnly boolean optional
└ modelTypeRangeInfo object optional
└ modelTypeEnumOptions array optional
└ outputConfig object optional
└ language string optional
└ minValue number optional
└ sampleMs integer optional
└ hyperParams object optional
└ maxConcepts integer optional
└ modelMetadata object optional
└ selectConcepts array optional
└ existingModelId string optional
└ hyperParameters string optional
└ trainingTimeout integer optional
└ embedModelVersionId string optional
└ conceptsMutuallyExclusive boolean optional
└ failOnMissingPositiveExamples boolean optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ displayName string optional
└ …7 more object optional
models array optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ geo object optional
└ hits array optional
└ text object optional
└ audio object optional
└ image object optional
└ video object optional
└ colors array optional
└ frames array optional
└ tracks array optional
└ regions array optional
└ clusters array optional
└ concepts array optional
└ heatmaps array optional
└ metadata object optional
└ embeddings array optional
└ timeSegments array optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ path string optional
└ required boolean optional
└ fieldType string optional
└ description string optional
└ placeholder string optional
└ defaultValue object optional
└ internalOnly boolean optional
└ modelTypeRangeInfo object optional
└ modelTypeEnumOptions array optional
└ outputConfig object optional
└ language string optional
└ minValue number optional
└ sampleMs integer optional
└ hyperParams object optional
└ maxConcepts integer optional
└ modelMetadata object optional
└ selectConcepts array optional
└ existingModelId string optional
└ hyperParameters string optional
└ trainingTimeout integer optional
└ embedModelVersionId string optional
└ conceptsMutuallyExclusive boolean optional
└ failOnMissingPositiveExamples boolean optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ displayName string optional
└ …7 more object optional
userAppId object optional
└ appId string optional
└ userId string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/models
POST /v2/models/searches
operationId: V2_PostModelsSearches2

Request Body

required

Search over the available models.

application/json
schema apiPostModelsSearchesRequest
Property Type Required
userAppId object optional
└ appId string optional
└ userId string optional
modelQuery object optional
└ name string optional
└ modelTypeId string optional
pagination object optional
└ page integer optional
└ perPage integer optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/models/searches
GET /v2/models/types
operationId: V2_ListModelTypes2

Parameters

Name In Required Type Description
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/models/types
GET /v2/models/types/{modelTypeId}
operationId: V2_GetModelType2

Parameters

Name In Required Type Description
modelTypeId path required string

The specific ModelType.Id you want to retrieve.

userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/models/types/{modelTypeId}
POST /v2/models/versions/upload
operationId: V2_PostModelVersionsUpload

Request Body

required

(streaming inputs)

application/json
schema apiPostModelVersionsUploadRequest
Property Type Required
contentPart object optional
└ data string optional
└ partNumber string optional
└ rangeStart string optional
uploadConfig object optional
└ modelId string optional
└ totalSize string optional
└ userAppId object optional
└ appId string optional
└ userId string optional
└ modelVersion object optional
└ id string optional
└ appId string optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ userId string optional
└ license string optional
└ metrics object optional
└ id string optional
└ appId string optional
└ model object optional
└ status object optional
└ userId string optional
└ summary object optional
└ testSet array optional
└ evalInfo object optional
└ labelCounts object optional
└ binaryMetrics array optional
└ metricsByArea array optional
└ metricsByClass array optional
└ trackerMetrics array optional
└ confusionMatrix object optional
└ extendedMetrics object optional
└ cooccurrenceMatrix object optional
└ groundTruthDataset object optional
└ predictionsDataset object optional
└ metadata object optional
└ trainLog string optional
└ buildInfo object optional
└ dockerImageTag string optional
└ dockerImageName string optional
└ dockerImageDigest string optional
└ createdAt string optional
└ inputInfo object optional
└ params object optional
└ fieldsMap object optional
└ baseEmbedModel object optional
└ trainInfo object optional
└ params object optional
└ dataset object optional
└ resumeFromModel object optional
└ importInfo object optional
└ params object optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ outputConfig object optional
└ visibility object optional
└ gettable string optional
└ completedAt string optional
└ description string optional
└ totalInputCount integer optional
└ activeConceptCount integer optional
└ …2 more object optional

Responses

default

An unexpected error response.

200

A successful response.(streaming responses)

POST /v2/models/versions/upload
DELETE /v2/models/{modelId}
operationId: V2_DeleteModel2

Parameters

Name In Required Type Description
modelId path required string —
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/models/{modelId}
GET /v2/models/{modelId}
operationId: V2_GetModel2

Parameters

Name In Required Type Description
modelId path required string —
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
versionId query optional string

This is included so that we can re-use this request for multiple
rpcs with and without the version_id.

language query optional string —
trainedBefore query optional boolean —
additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response. Currently supported: all, stars, outputs, presets

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/models/{modelId}
PATCH /v2/models/{modelId}/check_consents
operationId: V2_PatchModelCheckConsents2

Parameters

Name In Required Type Description
modelId path required string

the model id

Request Body

required
application/json
schema V2PatchModelCheckConsents2Request
Property Type Required
action string optional
userAppId object optional
└ appId string optional
└ userId string optional
checkConsents array optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/models/{modelId}/check_consents
GET /v2/models/{modelId}/inputs
operationId: V2_ListModelInputs2

Parameters

Name In Required Type Description
modelId path required string —
userAppId.userId query optional string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId query optional string —
versionId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/models/{modelId}/inputs
PATCH /v2/models/{modelId}/languages
operationId: V2_PatchModelLanguages2

Parameters

Name In Required Type Description
modelId path required string —

Request Body

required
application/json
schema V2PatchModelLanguages2Request
Property Type Required
action string optional
languages array optional
userAppId object optional
└ appId string optional
└ userId string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/models/{modelId}/languages
Load more endpoints